package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import com.realnet.basicp1.Entity.Distric_ListFilter1;
import com.realnet.basicp1.Services.Distric_ListFilter1Service ;
@RequestMapping(value = "/token/Distric_ListFilter1")
@RestController
public class tokenFree_Distric_ListFilter1Controller {
	
	@Autowired
	private Distric_ListFilter1Service Service;

		@GetMapping("/Distric_ListFilter1")
	public List<Distric_ListFilter1> getlist() {
		 List<Distric_ListFilter1> get = Service.getlistbuilder();		
		return get;
}
		@GetMapping("/Distric_ListFilter11/{item}")
	public List<Distric_ListFilter1> getlistwithparam(  @PathVariable String item) {
		 List<Distric_ListFilter1> get = Service.getlistbuilderparam(  item);		
		return get;
}
}